### Method

# Soup MultipartInputStream next_part_async

#### Declaration [src]

    void
    soup_multipart_input_stream_next_part_async (
      SoupMultipartInputStream* multipart,
      int io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer data
    )

#### Description [src]

Obtains a `GInputStream` for the next request.

See `soup_multipart_input_stream_next_part()` for details on the workflow.

#### Parameters

`io_priority`

  Type: `int`

  The I/O priority for the request.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback to call when request is satisfied.

  The argument can be `NULL`.

`data`

  Type: `gpointer`

  Data for `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.